#
# spec file for package x-tile
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           x-tile
Version:        2.5.1
Release:        2.3
Summary:        Panel applet for tiling windows
License:        GPL-2.0+
Group:          Productivity/Other
Url:            http://www.giuspen.com/x-tile/
Source:         http://www.giuspen.com/software/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  python-gtk
BuildRequires:  update-desktop-files
%if 0%{?suse_version} <= 1130
Requires:       python-gnome
Requires:       python-gobject2
%else
Requires:       python-gconf
Requires:       python-gobject
%endif
Requires:       python-gtk
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%py_requires
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%endif

%description
X-tile is a GNOME applet for your panel (or optionally a standalone
application, working with kde as well) that allows you to select a
number of windows and tile them in different ways.

This is especially useful for comparing products in separate web pages,
or for programmers refering to documentation as they are programming.

%lang_package
%prep
%setup -q

%build

%install
%{__python} setup.py install --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} -f --root=%{buildroot}
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}
%suse_update_desktop_file %{name} DesktopUtility

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc license
%doc %{_mandir}/man1/x-tile.1.gz
%{_bindir}/x-tile
%{_datadir}/applications/x-tile.desktop
%{_datadir}/icons/hicolor/scalable/apps/x-tile.svg
%{_datadir}/x-tile/
%{python_sitelib}/*.egg-info

%files lang -f %{name}.lang

%changelog
* Wed Dec 30 2015 netzheimer@yahoo.de
- Update to version 2.5.1:
  + Support for python 2.7.10.
  + Bugfix: atom.io crashing x-tile.
* Sat Sep 22 2012 dimstar@opensuse.org
- Update to version 2.5:
  + Added preference option to choose between appindicator and
    systray for panel docking.
* Sun Jul 22 2012 zaitor@opensuse.org
- Update to version 2.4:
  + Added cycle tiling.
  + Added command line options to tile grid without providing rows
    and columns.
  + Added manpages.
  + Misc bug fixes.
  + Updated translations.
* Mon Jun 11 2012 dimstar@opensuse.org
- Update to version 2.3.1:
  + Updated translations.
* Tue May 22 2012 zaitor@opensuse.org
- Update to version 2.3:
  + Implemented the option to tile selecting a destination
    workspace (not available in Compiz)
  + Misc bug fixes.
* Thu Feb 23 2012 vuntz@opensuse.org
- Update to version 2.2.1:
  + Fix a bug when starting with systray disabled.
  + Fix for AppIndicator support.
  + Updated translations.
* Wed Jan  4 2012 vuntz@opensuse.org
- Update to version 2.2:
  + Add AppIndicator support.
  + Fixes for Ubuntu-isms.
- Stop removing %%{_datadir}/x-tile/glade/x-tile.glade.h in
  %%install: it's gone now.
* Thu Jul 21 2011 vuntz@opensuse.org
- Remove unneeded BuildRequires: gnome-python-desktop,
  python-gobject2-devel, python-gtk-devel. Instead, only use
  python-gtk BuildRequires.
- Remove gnome-python-desktop Requires, as this is not an applet
  anymore.
- Add python-gconf Requires (or python-gnome on 11.3 and earlier)
  since gconf is used.
- Rename python-gobject2 Requires to python-gobject.
* Tue Jul 12 2011 malcolmlewis@opensuse.org
- Update to version 2.1:
  + The background of the listed windows is left untouched for
    monitor 1, gray for monitor 2.
  + Modified a working bugfix using directly xlib, so avoiding
    going through gdk_window.
  + Various bugfixes.
  + Updated translations.
- Updates from version 2.0:
  + Use system tray instead of a panel applet.
  + Removed unnecessary sorting buttons.
  + Various bugfixes.
  + Updated translations.
- Stop manually installing GNOME 2.x bonobo server file, which
  doesn't exist anymore.
- Change BuildArch to noarch.
* Fri Jul  1 2011 vuntz@opensuse.org
- Do not wrongly set GenericName to x-tile with
  %%suse_update_desktop_file: this is not generic. It's fine to
  leave the warning during the build since there's no real generic
  name for such a tool.
* Fri Jun 24 2011 malcolmlewis@opensuse.org
- Updated to version 1.9:
  + Fixed indentation bug.
  + Tile grid command line improvement.
  + Grid tiling bug fixes.
  + Code cleanup menu and tooltip.
  + Updated translations.
- Update spec file Licence field from GPLv2+ to GPL-2.0+ to
  conform with spdx.org identifier.
- Drop name switch in %%setup as name now conforms with spec
  Source name.
- Fix generic name is desktop file.
- Remove incorrectley installed header file from translation
  update.
* Sun Mar 20 2011 dimstar@opensuse.org
- Update to version 1.8.6:
  + Group the triangle tilings on the toolbar
  + Add Invert Tiling Order feature
  + Enable undo of a undo
  + Code cleanup
  + Build system fixes
  + Updated translations.
- Remove the permission hack for the svg files: no longer needed.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
* Sat Dec  4 2010 badshah400@gmail.com
- Update to version 1.8.4:
  + fixed bug crashing x-tile
  + in case of dual monitor, now the windows that lay on the second
    monitor are grouped at the bottom of the list and have gray
    background
* Tue Nov 16 2010 badshah400@gmail.com
- Update to version 1.8.3:
  + reduced the command line arguments to a single char
  + Bug fix: crashes with gvim fixed
* Wed Oct 27 2010 badshah400@gmail.com
- Update to version 1.8.2:
  + Added undo tile feature
* Tue Oct  5 2010 vuntz@opensuse.org
- Update to version 1.8.1:
  + Support two custom sets.
  + Updated translations.
- Drop x-tile-fix-locale-installation.patch,
  x-tile-no-killall-on-install.patch: fixed upstream.
* Wed Sep 29 2010 vuntz@opensuse.org
- Update to version 1.7.1.
- Add x-tile-fix-locale-installation.patch to fix installation of
  locales.
* Wed Sep 22 2010 badshah400@gmail.com
- Add x-tile-no-killall-on-install.patch to remove call to killall
  gnome-panel on install.
- Add gnome-python-desktop BuildRequires and Requires.
* Sat Sep 11 2010 badshah400@gmail.com
- Initial package (version 1.7)
